import { Vue } from "vue-property-decorator";
import { Location } from "vue-router";
import { RouteNames } from "../../router/routeNames";
import CountingMessagesModule from "../../modules/CountingMessagesModule";
export default class MessagesBar extends Vue {
    countingModule: CountingMessagesModule;
    orderName: string;
    isActive(route: Location): boolean;
    get routeNames(): typeof RouteNames;
    get orderRoute(): {
        name: RouteNames;
        params: {
            orderName: string;
        };
    };
    get barButtons(): {
        icon: string;
        route: Location;
        count?: number | undefined;
        attributes?: {
            [key: string]: string;
        } | undefined;
    }[];
}
